lomiri-thumbnailer (3.1.1) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-thumbnailer. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Thu, 21 May 2026 20:06:41 +0200

lomiri-thumbnailer (3.1.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-thumbnailer. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Mon, 01 Dec 2025 20:47:36 +0100

lomiri-thumbnailer (3.0.5) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-thumbnailer. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Wed, 01 Oct 2025 23:23:58 +0200

lomiri-thumbnailer (3.0.4) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-thumbnailer. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Tue, 07 Jan 2025 10:32:57 +0100

lomiri-thumbnailer (3.0.3) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-thumbnailer. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 28 Jan 2024 11:51:24 +0100

lomiri-thumbnailer (3.0.2) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-thumbnailer. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 15 Oct 2023 01:32:13 +0200

lomiri-thumbnailer (3.0.1) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-thumbnailer. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 05 Feb 2023 17:01:30 +0100

lomiri-thumbnailer (3.0.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-thumbnailer. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 04 Jul 2021 23:38:06 +0700

thumbnailer (2.5+ubports1) xenial; urgency=medium

  * No change rebuild for xenial

 -- Dan Chapman <dan@ubports.com>  Mon, 08 Jan 2018 10:02:18 +0000

thumbnailer (2.5+ubports) vivid; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Tue, 31 Oct 2017 01:30:57 +0100

thumbnailer (2.4+17.04.20161114.1-0ubuntu1) zesty; urgency=medium

  * Added zesty to list of distros for which we suppress Qt tests.
  * Fixed code to work with taglib 1.11, which breaks the behavior
    of the taglib 1.9 API.

 -- Michi Henning <michi@triodia.com>  Mon, 14 Nov 2016 01:18:42 +0000

thumbnailer (2.4+16.10.20160926.2-0ubuntu2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:49:48 +0000

thumbnailer (2.4+16.10.20160926.2-0ubuntu1) yakkety; urgency=medium

  * Disabled QDBus-related tests on xenial and yakkety for the time being due
    to problems with Qt 5.6. See
      https://bugs.launchpad.net/ubuntu/+source/thumbnailer/+bug/1613561
      https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1625930
  * Changed python-tornado dependency to python-tornado <!nocheck> for
    cross-builds.

 -- Michi Henning <michi@triodia.com>  Mon, 26 Sep 2016 07:36:07 +0000

thumbnailer (2.4+16.10.20160825-0ubuntu1) yakkety; urgency=medium

  * Changed python-tornado dependency to python-tornado <!nocheck> for cross-builds.
  * Relaxed copyright for trace.cpp and trace.h to LGPL.

 -- Michi Henning <michi@triodia.com>  Thu, 25 Aug 2016 06:59:02 +0000

thumbnailer (2.4+16.10.20160719-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:32:55 +0000

thumbnailer (2.4+16.10.20160719-0ubuntu1) yakkety; urgency=medium

  [ Michi Henning ]
  * Changed copyright from GPL to LGPL for two files used in storage framework.

  [ James Henstridge ]
  * Fixed pkgconfig file for qt library.

 -- Michi Henning <michi@triodia.com>  Tue, 19 Jul 2016 01:11:39 +0000

thumbnailer (2.4+16.10.20160530.3-0ubuntu1) yakkety; urgency=medium

  [ Michi Henning ]
  * Re-enabled copyright test on xenial and yakkety.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michi Henning <michi.henning@canonical.com>  Mon, 30 May 2016 11:07:33 +0000

thumbnailer (2.4+16.04.20160321-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:50:26 +0000

thumbnailer (2.4+16.04.20160321-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * vs-thumb now uses a separate pipe instead of writing to stdout (LP: #1556835).

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michi Henning <michi.henning@canonical.com>  Mon, 21 Mar 2016 02:12:07 +0000

thumbnailer (2.4+16.04.20160302.1-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * Thumbnails now preserve transparency of source image (LP: #1532719, LP: #1541836).
  * Fixed incorrect tests when checking full-size cache hits (LP: #1540753).
  * Minor improvements to man pages.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michi Henning <michi.henning@canonical.com>  Wed, 02 Mar 2016 05:20:31 +0000

thumbnailer (2.4+16.04.20160226-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * Fixed incorrect build dependency for settings-defaults.h.
  * Re-enabled tests on powerpc and s390x, except for qml test.
  * Disabled vs-thumb test on powerpc64le due to gstreamer codec bug.
  * Added version check on start-up and automatic cache wipe if cache
    encoding version changes.
  * Changed local audio extraction for better performance: 12 times
    faster on Mako, 5 times faster on desktop.
  * thumbnailer-admin now works with relative paths (LP: #1538774).

  [ James Henstridge ]
  * Fixed thumbnail extraction from large animated GIF files (LP: #1527315).

  [ CI Train Bot ]
  * No-change rebuild.

 -- James Henstridge <james.henstridge@canonical.com>  Fri, 26 Feb 2016 03:27:56 +0000

thumbnailer (2.3+16.04.20160210-0ubuntu1) xenial; urgency=medium

  [ James Henstridge ]
  * When a thumbnail can not be loaded, return an error from the image
    provider rather than substituting in a fallback image. Users can
    detect the problem via the status property of the QML Image
    component and provide their own fallback handling. (LP: #1324142)

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Wed, 10 Feb 2016 00:51:48 +0000

thumbnailer (2.3+16.04.20160108.2-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * Fixed incorrect display of cache policy by "thumbnailer-admin stats".
  * Limit GIF file size to 2 MB (LP: #1527315).
  * Fix non-working config settings for client-side API (LP: #1528058).

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michi Henning <michi.henning@canonical.com>  Fri, 08 Jan 2016 12:43:17 +0000

thumbnailer (2.3+16.04.20160107.1-0ubuntu1) xenial; urgency=medium

  * Fix for lp:1531038. Much better user experience this way. (LP:
    #1531038)

 -- Michi Henning <michi.henning@canonical.com>  Thu, 07 Jan 2016 06:33:30 +0000

thumbnailer (2.3+16.04.20160107-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * Ignored failing tests on PPC due to gstreamer problems.
  * Fixed crash that happened if the service was shut down
    while there were requests still processing in the
    thread pools.
  * Fixed incorrect handling of 400 (Bad Request) response from
    remote server (LP: #1512608).
  * Passing an invalid size to the QML or Qt APIs is now an error.
  * Added new gsettings key "log-level". Amount of noise in the logs
    is now reduced. Set log-level to 2 for verbose logging.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michi Henning <michi.henning@canonical.com>  Thu, 07 Jan 2016 04:36:39 +0000

thumbnailer (2.3+16.04.20151102.2-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * "thumbnailer-admin clear f" now also resets the network retry timeout.
  * API documentation and man page improvements.
  * Videos with embedded artwork now display the artwork thumbnail instead
    of an extracted still frame (LP: #1510801).
  * Added cancelled() accessor to Request class.
  * Requests made via the Qt and QML APIs are correctly rate-limited now.
  * Added trace-client key to gsettings.
  * Service log now shows statistics on start-up.
  * Resetting the stats now also resets the network failure retry timout.
  * Fix for cover art extraction if only a preview cover image is available.

  [ Michael Sheldon ]
  * Added more robust content type detection (LP: #1499341).

  [ CI Train Bot ]
  * debian/libthumbnailer-qt1.0.symbols: update to released version.
  * No-change rebuild.

 -- Michi Henning <michi.henning@canonical.com>  Mon, 02 Nov 2015 12:36:56 +0000

thumbnailer (2.3+15.10.20150915.1-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Added man pages for thumbnailer-admin, thumbnailer-service,
    and thumbnailer-settings.
  * Removed a bunch of lintian warnings and errors.
  * Removed source for persistent cache.
  * Added inactivity timeout to admin interface, so the service
    exits after 30 seconds if it is started only to, for example,
    retrieve the stats. Activity on the admin interface now keeps
    the service alive the same way activity on the thumbnailer interface does.
  * Added average hit and miss run length to stats returned by
    thumbnailer-admin.
  * Changed semantics for requests with (0,0) size. All requests are now
    clamped to a 1920x1920 bounding box.
  * Fixed incorrect timeout semantics for unexpected network errors.

  [ James Henstridge ]
  * Renamed QML package to qml-module-XXX format and add transitional
    package. (LP: #1342031)
  * Port QML module to use libthumbnailer-qt.

  [ Xavi Garcia ]
  * Add new libthumbnailer-qt1.0 library, providing a C++ client API.

  [ Albert Astals Cid ]
  * In QML image provider, only create QQuickTextureFactory when
    needed, fixing a memory leak when requests are cancelled. (LP:
    #1484914)

  [ CI Train Bot ]
  * debian/libthumbnailer-qt1.0.symbols: update to released version.
  * New rebuild forced.

 -- Michi Henning <michi.henning@canonical.com>  Tue, 15 Sep 2015 11:04:14 +0000

thumbnailer (2.2+15.10.20150801-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Compatibility fixes  for GCC 5, Boost 1.58, and Libapparmor 2.10.
  * Correctly initialise the cache stats after upgrading from an old
    cache version.
  * Rename clear-stats sub-command of thumbnailer-admin to zero-stats.

  [ James Henstridge ]
  * Pass a filename to the vs-thumb helper utility rather than a file
    descriptor.  This avoids the use of the fdsrc GStreamer element, which
    appears to be unstable on Wily.

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Sat, 01 Aug 2015 04:32:14 +0000

thumbnailer (2.1.1) UNRELEASED; urgency=medium

  [ Michi Henning ]
  * Added request limiter on the qml side, so we don't overrun DBus with
    too many outstanding requests. (DBus kills the connection if there
    are more than 400 or so outstanding requests.)

 -- Michi Henning <michi.henning@canonical.com>  Mon, 03 Aug 2015 14:28:09 +1000

thumbnailer (2.1+15.10.20150715-0ubuntu1) wily; urgency=medium

  [ James Henstridge ]
  * Expose more settings for the thumbnailer daemon via GSettings.
  * Change the security policy implementation to use aa_query_label()
    for file access checks rather than relying on file descriptor
    passing.  This avoids the file descriptor exhaustion bugs with the
    previous implementation. (LP: #1381713)

  [ Michi Henning ]
  * Add thumbnailer-admin tool, which can be used to check the status
    of the cache and generate thumbnails via the command line.
  * Add time stamps to log messages.
  * Reduce the memory footprint of small caches, which in turn reduces
    the footprint of thumbnailer-service.
  * Don't implicitly compact the cache on service shutdown, as this
    can take some time.
  * Persist the cache stats over restarts of thumbnailer-service.
  * Don't save JPEG thumbnails at quality=100, since the quality
    improvement isn't justified by the extra storage.
  * Don't retry downloads when we have a hit from the failure cache.
  * Warn if an app requests an unsized thumbnail.

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 15 Jul 2015 02:03:28 +0000

thumbnailer (2.0+15.10.20150527-0ubuntu2) wily; urgency=medium

  * Switch to unversioned Conflicts/Replaces on libthumbnailer0 to force
    removal of the obsolete package on upgrade from the previous version.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 17 Jun 2015 05:15:54 -0600

thumbnailer (2.0+15.10.20150527-0ubuntu1) wily; urgency=medium

  [ James Henstridge ]
  * New upstream version with many changes:
    - Switch to new cache implementation based on leveldb.
    - Move local file thumbnailing to the central D-Bus daemon,
      allowing for the cache to be shared between apps and its size
      kept under control.
    - The libthumbnailer library has been removed, since all clients
      of the cache rely on the D-Bus interface now.
    - The QML plugin now uses the QQuickAsyncImageProvider interface,
      enabling multiple thumbnails to be loaded simultaneously.
    - Improved test coverage.
  * Remove the libthumbnailer0 and libthumbnailer-dev binary packages.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 27 May 2015 05:36:31 +0000

thumbnailer (1.3+15.04.20150312-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Use own QDBusConnection (LP: #1410260)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 12 Mar 2015 08:38:44 +0000

thumbnailer (1.3+15.04.20150122-0ubuntu1) vivid; urgency=low

  [ Florian Boucault ]
  * Keeps track of failed thumbnails and do not try to regenerate them.
    (LP: #1389678)
  * QML thumbnail provider: make sure sourceSize (aka requestedSize) is
    respected by downscaling at loading time if necessary. Makes
    TN_SIZE_ORIGINAL case much faster. (LP: #1391368)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Jan 2015 08:56:16 +0000

thumbnailer (1.3+15.04.20150106-0ubuntu1) vivid; urgency=low

  [ Jussi Pakkanen ]
  * Fix a few potential memory corruptions. (LP: #1403906)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 06 Jan 2015 18:50:46 +0000

thumbnailer (1.3+15.04.20141202-0ubuntu1) vivid; urgency=low

  [ Alfonso Sanchez-Beato ]
  * [ Alfonso Sanchez-Beato ] Workaround for files with very few intra
    frames (LP: #1393834)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Dec 2014 14:10:09 +0000

thumbnailer (1.3+15.04.20141106-0ubuntu1) vivid; urgency=low

  [ Jussi Pakkanen ]
  * Fix memory leak.
  * Use videoflip to fix orientation. (LP: #1191934)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Nov 2014 05:38:14 +0000

thumbnailer (1.3+15.04.20141105-0ubuntu1) vivid; urgency=low

  [ Ricardo Salveti de Araujo ]
  * Enabling exif thumbnails again, as we now got the proper fix at
    qtubuntu-camera

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 04:05:25 +0000

thumbnailer (1.3+14.10.20141002-0ubuntu1) utopic; urgency=low

  [ Jussi Pakkanen ]
  * Disable exif thumbnails temporarily to work around a regression.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 Oct 2014 19:20:24 +0000

thumbnailer (1.3+14.10.20140926-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Added gsettings schema with API key used for accessing dash.ubuntu.com service.
    - Pass the key with artist/album requests.
  * Install album_missing icon (taken from libunitycore package).

  [ Jussi Pakkanen ]
  * Use exif thumbnail if one is available.
  * A few simple fixes for issues found compiling against libc++.
  * Prevent apport from sending vs-thumb stacktraces.

  [ Pete Woods ]
  * There is a new thumbnailer-common package to hold default icons.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Sep 2014 11:25:18 +0000

thumbnailer (1.2+14.10.20140916-0ubuntu1) utopic; urgency=low

  [ Jussi Pakkanen ]
  * Make a few classes more resistant to copying.
  * Clean up warnings as reported by gcc and shiny new clang.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Sep 2014 08:14:04 +0000

thumbnailer (1.2+14.10.20140904-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Jussi Pakkanen ]
  * Move embedded thumbnail extraction to a helper binary to avoid
    linking main library with gstreamer. (LP: #1363314)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Sep 2014 07:43:24 +0000

thumbnailer (1.2+14.10.20140901.is.1.2+14.10.20140814-0ubuntu2) utopic; urgency=medium

  * Reintroduce the pthread linkage fix from 1.2+14.10.20140827.1-0ubuntu1,
    required for the package to build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Sep 2014 13:26:28 -0700

thumbnailer (1.2+14.10.20140901.is.1.2+14.10.20140814-0ubuntu1) utopic; urgency=medium

  * Revert the last two landings. The 1.2+14.10.20140827.1 version
    introduced a serious regression breaking many projects, indirectly
    caused by thumbnailer using gst.  LP: #1363314.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 02 Sep 2014 21:50:08 +0200

thumbnailer (1.2+14.10.20140901-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Changed requested images sizes to better match sizes supported by the web server.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 01 Sep 2014 07:32:23 +0000

thumbnailer (1.2+14.10.20140827.1-0ubuntu1) utopic; urgency=low

  [ Jussi Pakkanen ]
  * Re-enable embedded album art.
  * Link against thread library explicitly.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Aug 2014 15:55:17 +0000

thumbnailer (1.2+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Jussi Pakkanen ]
  * Print log message when errors happen.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 13:41:35 +0000

thumbnailer (1.2+14.10.20140812-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Use Ubuntu webservice for album art and provide artist art API.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 12 Aug 2014 16:57:24 +0000

thumbnailer (1.1+14.10.20140811-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libthumbnailer0.symbols: auto-update to released version

  [ Arthur Mello ]
  * Work with file names with non-european characters by not writing
    metadata chunks when they can't be represented in ISO-8859-1. (LP:
    #1319698)

  [ Jussi Pakkanen ]
  * Work with file names with non-european characters by not writing
    metadata chunks when they can't be represented in ISO-8859-1. (LP:
    #1319698)

  [ Pawel Stolowski ]
  * Request images of size 400 instead of 200 from ubuntu server.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Aug 2014 14:20:34 +0000

thumbnailer (1.1+14.04.20140401.1-0ubuntu3) utopic; urgency=medium

  * No-change rebuild to get dbgsyms for all binaries onto
    ddebs.ubuntu.com

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Jul 2014 14:14:15 -0700

thumbnailer (1.1+14.04.20140401.1-0ubuntu2) utopic; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 29 Apr 2014 14:53:03 -0700

thumbnailer (1.1+14.04.20140401.1-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Provide virtual thumbnailer package.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Apr 2014 22:45:34 +0000

thumbnailer (1.1+14.04.20140331-0ubuntu1) trusty; urgency=medium

  [ Jussi Pakkanen ]
  * New minor release.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 31 Mar 2014 09:08:36 +0000

thumbnailer (1.0+14.04.20140327-0ubuntu1) trusty; urgency=low

  [ Jussi Pakkanen ]
  * Obey the TMPDIR. (LP: #1296987)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Mar 2014 08:36:59 +0000

thumbnailer (1.0+14.04.20140319-0ubuntu1) trusty; urgency=low

  [ Jussi Pakkanen ]
  * Prevent crash if exif entry is null. (LP: #1294274)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Mar 2014 20:16:40 +0000

thumbnailer (1.0+14.04.20140307-0ubuntu1) trusty; urgency=low

  [ Jussi Pakkanen ]
  * Added visibility info to prevent accidental ABI breakages.
  * Reorient images manually to work around a bug in GdkPixbuf.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 15:41:18 +0000

thumbnailer (1.0+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Ugo Riboni ]
  * Add a new nonstandard thumbnail size (360) needed by gallery-app To
    test from QML you will need this MR as well:
    https://code.launchpad.net/~amanzi-team/ubuntu-ui-toolkit/ubuntu-ui-
    toolkit-xlarge-thumbnails/+merge/207500 (LP: #1221968)

  [ Jussi Pakkanen ]
  * Error condition checking and error messages.
  * Fix image orientation.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 10:09:12 +0000

thumbnailer (1.0+14.04.20140218-0ubuntu1) trusty; urgency=low

  [ Ricardo Salveti de Araujo ]
  * vs-thumb: give pipeline at least 3 seconds to preroll

  [ Jussi Pakkanen ]
  * Created a unique_gobj class for managing gobject based resources.
  * Fix use of #includes. (LP: #1237045)
  * A bunch of fixes to make the project compile on precise.
  * Removed accidentally added file.
  * Invalidate cached images when source has changed.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 23:01:31 +0000

thumbnailer (1.0+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Fix install directory of vs-thumb. (LP: #1235325)
  * Wait for child process to die when killing it with SIGKILL.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 58

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 05:41:32 +0000

thumbnailer (1.0+13.10.20131008-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Fix off by one error. (LP: #1235444)
  * Disable use of in-process GStreamer because we use 1.0, which
    clashes with 0.10. (LP: #1235484)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 55

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Oct 2013 12:49:51 +0000

thumbnailer (1.0+13.10.20131007-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Write files into cache atomically.
  * Guard against a frozen worker process.
  * Document the public interface.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 52

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Oct 2013 10:52:14 +0000

thumbnailer (1.0+13.10.20131003-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Run gstreamer video pipelines in an external process.
  * Get helper path from config.h.
  * Use helper binary from build dir when running tests.
  * Adds support for full resolution thumbnails.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 48

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Oct 2013 03:26:49 +0000

thumbnailer (1.0+13.10.20131002-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Initial release.
  * Typo fix.

  [ Łukasz 'sil2100' Zemczak ]
  * Automatic snapshot from revision 41 (bootstrap)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 43

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Oct 2013 02:34:38 +0000
